/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct StmtRunningBal {
    #[serde(rename = "Amt", skip_serializing_if = "Option::is_none")]
    pub amt: Option<f32>,
    #[serde(rename = "CurCode", skip_serializing_if = "Option::is_none")]
    pub cur_code: Option<Box<crate::models::CurCode>>,
    #[serde(rename = "StmtRunningBalType", skip_serializing_if = "Option::is_none")]
    pub stmt_running_bal_type: Option<String>,
}

impl StmtRunningBal {
    pub fn new() -> StmtRunningBal {
        StmtRunningBal {
            amt: None,
            cur_code: None,
            stmt_running_bal_type: None,
        }
    }
}
